pytango (9.5.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:44 +1100

pytango (9.5.0-2build1) noble; urgency=high

  * No change rebuild against libtango95t64, libomniorb4-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:06 +0100

pytango (9.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Temporarily remove s390x from python3-tango's Architecture:, until
    https://gitlab.com/tango-controls/pytango/-/issues/449 gets solved
  * Temporarily test against default python3 version only, until I can solve
    how to build for several versions

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 12 Feb 2024 10:08:49 -0300

pytango (9.5.0-2~exp2) experimental; urgency=medium

  * Team upload.
  * Temporarily remove s390x from python3-tango's Architecture:, until
    https://gitlab.com/tango-controls/pytango/-/issues/449 gets solved
  * Temporarily test against default python3 version only, until I can solve
    how to build for several versions

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 05 Feb 2024 09:15:53 -0300

pytango (9.5.0-2~exp1) experimental; urgency=medium

  * Team upload.
  * Make tests are run again during building. Explicitly tell pybuild to use
    pytest

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 26 Jan 2024 16:36:02 -0300

pytango (9.5.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Santiago Ruano Rincón <santiago@freexian.com>  Tue, 09 Jan 2024 07:32:49 -0500

pytango (9.5.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * Build-Deps on python3-dev instead of python3-all-dev. Only building for
    the default python version, at least, temporarily
  * d/rules: don't install spare .so files (Closes: #1059792)

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 08 Jan 2024 17:52:56 -0500

pytango (9.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.5.0
    * Fix FTBFS with Python 3.12 (Closes: #1049843, #1055733). Although, it
      builds for the default python version only.
  * Add d/gbp.conf
  * Set RELEASE to experimental in debian/salsa-ci.yml
  * Add and/or update Build-Depends: cmake, libboost-python-dev (>= 1.83.0),
    tango >= 9.5.0, pybuild-plugin-pyproject, python3-pathspec,
    python3-pyproject-metadata and python3-scikit-build-core
  * Update d/patches/0002-Added-gevent-to-instal_requires.patch and
    remove-junitxml-report.patch to use pyproject.toml
  * Update debian/patches/ftbfs-ipv6.patch

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 21 Dec 2023 18:24:21 -0300

pytango (9.4.2-1) unstable; urgency=low

  * Team upload.
  * New upstream version 9.4.2

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 11 Aug 2023 10:54:08 -0300

pytango (9.4.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.4.1
  * d/patches:
    - Update 0001-Use-jquery-from-the-archive.patch
    - Update 0002-Added-gevent-to-instal_requires.patch
    - Remove 0004-Fix-python-3.11-compatibility.patch, applied upstream
    - Remove 0005-Replace-pytest-xdist-with-pytest-forked.patch, applied
      upstream
    - Update ftbfs-ipv6.patch
    - Add test-timeouts.patch to incrase test timeouts and avoid building
      failures
    - Add remove-junitxml-report.patch to make lintian happier
  * Set RELEASE to experimental in debian/salsa-ci.yml
  * Add lintian overrides about source-is-missing of ipython_db.html
  * Versioned Build-Dep on libtango-dev and tango-test (>= 9.4.2~rc2+dfsg1)
  * Add d/copyright data about coroutine() in tango/asyncio_tools.py

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 08 Jun 2023 10:34:09 -0300

pytango (9.3.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix the tests suite on IPv6-only buildds. (Closes: #1030297)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 Feb 2023 15:38:03 +0100

pytango (9.3.6-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1024078)
  * Build-Depend on python3-pytest-forked instead of xdist. (It replaced the
    --boxed option)
  * Patch: Use --forked instead of --boxed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 16:15:45 -0400

pytango (9.3.6-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/patches
     - add patch to avoid test failure on IPv6 only buildd (Closes: #1014179)
  * d/control: build depend on cppzmq-dev (Closes: #1019091)
  * New upstream version 9.3.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Oct 2022 15:01:09 +0200

pytango (9.3.4-2) unstable; urgency=medium

  * d/t/control: added python3-pytest-forked as explained by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Jul 2022 16:01:09 +0200

pytango (9.3.4-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/control:
    - update standars version to 4.6.1 (no changes required)
  * New upstream version 9.3.4
  * debian/patches
     - Drop 0002-deal-with-sphinx-only-via-the-debian-rules.patch
     - Drop 0003-doc-update-start-page.patch
     - Drop 0004-fix-syntax-warning.patch

  [ Picca Frédéric-Emmanuel ]
  * d/control: Moved sphinx-common to B-D-I and added <!nodoc> profile
  * d/control: Added python3-psutil <!nocheck> and tango-test <!nocheck>
  * d/rules: Run tests using pytest
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 23 Jun 2022 18:29:29 +0200

pytango (9.3.3-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/control
    - drop python3-distro from build-depend
  * Fix syntax warning during package install. (Closes: #985007)
  * New upstream version 9.3.3 (Closes: #989981)
  * Update upstream metadata (github => gitlab).
  * Update watch file version.

  [ Picca Frédéric-Emmanuel ]
  * d/control: Used dh-sequence-[numpy3,python3,sphinxdoc]
  * r/rules: Simplifyed thanks to dh-sequence-X

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 21:55:22 +0200

pytango (9.3.2-1) unstable; urgency=medium

  * control: update standars version to 4.5.1 (no changes required)
  * New upstream version 9.3.2
    - Drop 0001-fix-boost-linking.patch; obsolete
    - Drop 0005-fix-distro-import.patch; obsolete
    - refresh and renumber patches

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 07 Dec 2020 18:26:11 +0100

pytango (9.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 7.2.3-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandor Bodo-Merle ]
  * New upstream version 9.3.1
  * Update patch for boost linking
  * Bump debhelper compatibility level to 13

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 11 Sep 2020 16:44:58 +0200

pytango (9.3.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #946135)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Wed, 04 Dec 2019 19:03:53 +0100

pytango (9.3.0-3) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Bump debhelper compatibility level to 12
  * Build-depend on python3-distro

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 22 Nov 2019 18:08:43 +0100

pytango (9.3.0-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * control: update homepage
  * control: update standars version to 4.4.1 (no changes required)
  * Apply NMU patch by Sandro Tosi <morph@debian.org> to
     - Drop python2 support; Closes: #937556
  * ack NMU

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 20:06:13 +0200

pytango (9.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937556

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 19:00:57 -0400

pytango (9.3.0-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.
  * use the latest salsa.ci.yml file

  [ Bodo-Merle Sandor ]
  * Upgrade standards version to 4.4.0
  * update watch file
  * New upstream version 9.3.0
  * drop transitional package python-pytango (Closes: #940763)
  * drop transitional package python3-pytango (Closes: #940764)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 28 Sep 2019 20:18:02 +0200

pytango (9.2.5-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.5
  * Depend on python-enum34
  * Update standars version to 4.2.1 (no changes required)
  * Fix linking with boost (Closes: #914140)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Thu, 29 Nov 2018 18:16:07 +0100

pytango (9.2.4-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Build depend on python-enum34

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Tue, 31 Jul 2018 21:04:55 +0200

pytango (9.2.4-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.4
    - Python 3.7 compatibility (Closes: #904298)
  * Update Standards-Version to 4.1.5 (no changes required)
  * Depend on python-mock for generating the docs

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 30 Jul 2018 19:20:08 +0200

pytango (9.2.3-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.3
  * debian/patches
    - Refresh patch 0002-Use-jquery-from-the-archive
  * debian/control
    - cme fix dpkg
    - Rules-Requires-Root: no
    - depend on sphinx_rtd_theme
    - remove outdated X-Python{,3}-Version fields
  * debian/watch
    - update regexp; switch to https

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Sat, 02 Jun 2018 16:25:59 +0200

pytango (9.2.2-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.2
  * Bump Standards-Version to 4.1.0 (extra -> optional)
  * debian/control
    - wrap-and-sort -st
  * debian/copyright
    - Switched source URL to https
  * debian/rules
    - Built the documentation with python3
    - Install examples
  * debian/patch
    - drop 0001-Use-loose-version-instead-of-strict-version-for-comp.patch

  [ Picca Frédéric-Emmanuel ]
  * debian/control
    - add nodoc profile dependencies
    - Added: python-sphinx, sphinx-common
  * debian/patches
    - Added 0002-deal-with-sphinx-only-via-the-debian-rules.patch
  * debian/rules
    - Reworked in order to support nodoc
    - dh_sphinxdoc is now mandatory.
    - Build the documentation also with python.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Oct 2017 08:22:04 +0100

pytango (9.2.1-1) unstable; urgency=medium

  * debian/patch
    - apply upstream patch to fix gcc-7 compilation (Closes: #853624)
  * Bump Standards-Version to 4.0.0, no changes.

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 07 Aug 2017 18:27:13 +0200

pytango (9.2.1-1~exp1) experimental; urgency=medium

  * Import Upstream version 9.2.1
  * debian/patch
    - drop 0001-correct-typo-s-lenght-length.patch (aplied upstream)
  * Use compat level 10 (Closes: #843728)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Tue, 31 Jan 2017 12:56:49 +0100

pytango (9.2.0-2) unstable; urgency=medium

  * Add Breaks and Replace for python-pytango-doc (Closes: #836859)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2016 11:22:02 +0100

pytango (9.2.0-1) unstable; urgency=medium

  * Uploaded into Unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 11:22:02 +0100

pytango (9.2.0-1~exp2) experimental; urgency=medium

  * Fixed d/rules to call --with sphinxdoc only when building arch-all
    packages.
  * Updated the d/copyright (Add the ESRF)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Sep 2016 11:22:02 +0200

pytango (9.2.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.0
    - Filter out sourceless binary executable: examples/many/many_client
  * debian/patch
    - Drop unnecessary patch 0001-Fix-syntax-error-in-python-3.patch
    - Add 0001-Fix-syntax-error-in-python-3.patch - spelling fix
    - 0002-Use-jquery-from-the-archive.patch - fix jquery reference
  * debian/control
    - Update build depends:
      - add: python-six, python-gevent, python-concurrent.futures, libtango-dev
    - Rename package pytango=>tango; add transitional packages
    - Standards-Version bump to 3.9.8 (nothing to do)
    - Updated the Vcs-X (git -> https)
  * Ship extra pydist files so dependent packages will use the correct
    python-tango dependency
  * Drop itango deps for now - until a separate itango package is made
  * debian/rules
    - Build with pybuild
  * Add myself to uploaders

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 26 Aug 2016 11:15:20 +0200

pytango (8.1.8-2) unstable; urgency=medium

  * debian/patches
    - 0001-Fix-syntax-error-in-python-3.patch (Closes: #814824)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Feb 2016 14:03:38 +0100

pytango (8.1.8-1) unstable; urgency=medium

  * Imported Upstream version 8.1.8
  * debian/patch
    - 0001-fix-compilation-with-python3.4.patch (deleted, applyed upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 13 Feb 2016 16:19:55 +0100

pytango (8.1.6-1) unstable; urgency=medium

  * debian/control
    - Build-deps: libtango8-dev (>= 8.1.2c+dfsg-7~) (Closes: #797284)
  * debian/patch
    - 0001-fix-compilation-with-python3.4.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Sep 2015 18:23:34 +0100

pytango (8.1.6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 8.1.6
  * debian/watch
    - Use the pypi.debian.net redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 09 Feb 2015 18:23:34 +0100

pytango (8.1.5-1) unstable; urgency=medium

  * Imported Upstream version 8.1.5

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Oct 2014 11:55:00 +0200

pytango (8.1.4-1) unstable; urgency=medium

  * Imported Upstream version 8.1.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 30 Sep 2014 20:38:16 +0200

pytango (8.1.1-1) unstable; urgency=low

  * Imported Upstream version 8.1.1
  * debian/patch
    - 0001-fix-from-upstream-FTBFS-s390.patch (applyed by upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Nov 2013 20:27:22 +0100

pytango (8.0.3-3) unstable; urgency=low

  * debian/control
    - Build-Depends: remove log4tango4 which is not a direct build dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Aug 2013 09:17:58 +0200

pytango (8.0.3-2) unstable; urgency=low

  * debian/patch
    + 0001-fix-from-upstream-FTBFS-s390.patch (Closes: #711761)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jul 2013 08:48:11 +0200

pytango (8.0.3-1) unstable; urgency=low

  * Imported Upstream version 8.0.3
  * Bump Standards-Version 3.9.4 (nothing to do)
  * Switch to debhelper level 9
  * debian/rules
    - updated the clean target to build twice.
  * debian/patches
    - 0001-feature-forwarded-fix-FTBFS-with-sphinx-beta-version.patch (deleted)
      this patch was applyed by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 20 May 2013 22:05:20 +0200

pytango (8.0.2-1) unstable; urgency=low

  * debian/patches
    + 0001-feature-forwarded-fix-FTBFS-with-sphinx-beta-version.patch
      (Closes: #706471)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 May 2013 09:28:11 +0200

pytango (8.0.2-1~exp1) experimental; urgency=low

  * Imported Upstream version 8.0.2
  * debian/control
    - add python3-pytango binary package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Sep 2012 21:48:10 +0200

pytango (7.2.3-2) unstable; urgency=low

  * debian/rules
    - use dh_sphinxdoc only for the doc package (Closes: #670955)
  * debian/control
    - add Build-Depends-Indep

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 May 2012 18:08:18 +0200

pytango (7.2.3-1) unstable; urgency=low

  * Imported Upstream version 7.2.3
  * debian/control
    - add the python-pytango-doc package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Apr 2012 20:50:02 +0100

pytango (7.2.2-3) unstable; urgency=low

  * bump the Standards-Version to 3.9.3
    - use the copyright format 1.0
  * dpkg/rules
    - updated to build on squeeze
  * dpkg/control
    - better dependencies thanks to cme (config-edit)
    - X-Python-Version: >= 2.5 ->  2.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 26 Feb 2012 14:49:19 +0100

pytango (7.2.2-2) unstable; urgency=low

  * use dh_numpy for better python-numpy dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Jan 2012 11:32:31 +0100

pytango (7.2.2-1) unstable; urgency=low

  * import 7.2.2 upstream version. (Closes: #636468)
  * use dh_sphinxdoc
  * debian/control
    - Build-Depends
      - python-sphinx (>= 1.0.7+dfsg)
    - add the Vcs- fields
    - follow Debian Science policy for Maintainers
  * debian/copyright fixed using config-edit
  * debian/patches
    - remove all patches thanks to the --install-html option.
  * use pyinstall file to install the ipython profile.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 12 Dec 2011 18:05:59 +0200

pytango (7.2.0-2) unstable; urgency=low

  * debian/control
    - bump the Standards-Version to 3.9.2
    - Build-Depends
      + libtango7 (>= 7.2) (updated)
      + python-all-dev  (>= 2.6.6-3~) (updated)
      + python-setuptool (removed)
  * debian/copyright
    - use the right dep5 location
  * Install the spock profile also for python2.7 Thanks Jakub Wilk for
    the report (Closes: #632077)
  * Update my email address since I am DD now.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 14 May 2011 14:01:37 +0200

pytango (7.2.0-1) unstable; urgency=low

  * Initial release (Closes: #614245)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Mon, 09 Aug 2010 11:26:05 +0200
